Subject: RE: [mobile-ip] NAIs for HA and FA (draft-ietf-mobileip-gnaie-05.txt)

From: "Le Franck (NRC/Dallas)" <[email-masked]>
Date: Mon, 15 Oct 2001 17:29:40 -0500

There is a discussion on the AAA mailing list "MN migration to new realm
/ draft-mobileip-08-alpha01": a Mobile node may be moving from  Foreign
domain 1, where it has been assigned a dynamic HA, to Foreign Domain 2;
and the MN wants to keep its HA. 
The MN's AAAh needs to be informed of the Home agent address to know
where to send the HAR.
The HA NAI can probably be used in this case .

Franck

> -----Original Message-----
> From: ext Patil Basavaraj (NET/Dallas) 
> Sent: 15 October, 2001 4:05 PM
> To: 'Mobile IP'
> Subject: [mobile-ip] NAIs for HA and FA
> (draft-ietf-mobileip-gnaie-05.txt)
> 
> 
> Hello,
> 
> I-D draft-ietf-mobileip-gnaie-05.txt specifies an NAI for the Foreign
> Agent and Home Agent. These NAIs are carried in the Reg_Req and
> Reg_Resp messages of Mobile IPv4. The draft does not specify the
> applicability of these NAIs. What do you believe will be the need and
> the use for NAIs asociated with Foreign agents and Home Agents? 
> Is there a real need for HA/FA NAIs? Comments, opinions...
> 
> -Basavaraj
>